From 2aa6867ec00e6e1c242baad25344b38f412ed0ab Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Sun, 31 Jul 2022 18:56:20 +0200
Subject: [PATCH 3/4] Fix missing includes

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 Xvnc/config/makedepend/ifparser.c        | 1 +
 Xvnc/config/util/lndir.c                 | 1 +
 Xvnc/lib/Xau/AuDispose.c                 | 1 +
 Xvnc/lib/Xdmcp/Alloc.c                   | 2 +-
 Xvnc/lib/font/Type1/objects.c            | 1 +
 Xvnc/lib/font/Type1/spaces.c             | 2 ++
 Xvnc/lib/font/Type1/t1malloc.c           | 2 ++
 Xvnc/lib/font/Type1/t1stub.c             | 2 ++
 Xvnc/programs/Xserver/Xext/xprint.c      | 1 +
 Xvnc/programs/Xserver/cfb/cfbmskbits.h   | 1 +
 Xvnc/programs/Xserver/hw/vnc/init.c      | 1 +
 Xvnc/programs/Xserver/hw/vnc/kbdptr.c    | 1 +
 Xvnc/programs/Xserver/hw/vnc/sockets.c   | 1 +
 Xvnc/programs/Xserver/hw/vnc/translate.c | 1 +
 Xvnc/programs/Xserver/os/xdmcp.c         | 1 +
 libvncauth/vncauth.c                     | 1 +
 vncconnect/vncconnect.c                  | 2 ++
 vncviewer/corre.c                        | 2 ++
 vncviewer/misc.c                         | 1 +
 vncviewer/rre.c                          | 2 ++
 20 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/Xvnc/config/makedepend/ifparser.c b/Xvnc/config/makedepend/ifparser.c
index dfac1526a2c3..4e9dacc62718 100644
--- a/Xvnc/config/makedepend/ifparser.c
+++ b/Xvnc/config/makedepend/ifparser.c
@@ -62,6 +62,7 @@
 
 #include "ifparser.h"
 #include <ctype.h>
+#include <string.h>
 
 /****************************************************************************
 		   Internal Macros and Utilities for Parser
diff --git a/Xvnc/config/util/lndir.c b/Xvnc/config/util/lndir.c
index 1ffb9c4d4e94..4684347f9f47 100644
--- a/Xvnc/config/util/lndir.c
+++ b/Xvnc/config/util/lndir.c
@@ -47,6 +47,7 @@ in this Software without prior written authorization from the X Consortium.
 #include <X11/Xos.h>
 #include <X11/Xfuncproto.h>
 #include <stdio.h>
+#include <stdlib.h>
 #include <sys/stat.h>
 #if !defined(MINIX) && !defined(Lynx)
 #include <sys/param.h>
diff --git a/Xvnc/lib/Xau/AuDispose.c b/Xvnc/lib/Xau/AuDispose.c
index 23b45253939a..4d2c900aef88 100644
--- a/Xvnc/lib/Xau/AuDispose.c
+++ b/Xvnc/lib/Xau/AuDispose.c
@@ -27,6 +27,7 @@ in this Software without prior written authorization from the X Consortium.
 
 */
 
+#include <stdlib.h>
 #include <X11/Xauth.h>
 
 void
diff --git a/Xvnc/lib/Xdmcp/Alloc.c b/Xvnc/lib/Xdmcp/Alloc.c
index 758e1c6a0706..756dd5cb8c44 100644
--- a/Xvnc/lib/Xdmcp/Alloc.c
+++ b/Xvnc/lib/Xdmcp/Alloc.c
@@ -31,7 +31,7 @@ in this Software without prior written authorization from the X Consortium.
 
 /* stubs for use when Xalloc, Xrealloc and Xfree are not defined */
 
-extern char	*malloc (), *realloc ();
+#include <stdlib.h>
 
 unsigned long *
 Xalloc (amount)
diff --git a/Xvnc/lib/font/Type1/objects.c b/Xvnc/lib/font/Type1/objects.c
index 9fffa62216c9..b79c508017ca 100644
--- a/Xvnc/lib/font/Type1/objects.c
+++ b/Xvnc/lib/font/Type1/objects.c
@@ -53,6 +53,7 @@ system it is a pretty safe bet that these are external entry points and
 you do do not need to include these header files.
 */
  
+#include  <stdio.h>
 #include  <string.h>
 #include  <ctype.h>
  
diff --git a/Xvnc/lib/font/Type1/spaces.c b/Xvnc/lib/font/Type1/spaces.c
index f026420fd966..2092ab671b5a 100644
--- a/Xvnc/lib/font/Type1/spaces.c
+++ b/Xvnc/lib/font/Type1/spaces.c
@@ -37,6 +37,8 @@ This module is responsible for handling the TYPE1IMAGER "XYspace" object.
  
 :h3.Include Files
 */
+#include <stdio.h>
+#include <string.h>
 #include "objects.h"
 #include "spaces.h"
 #include "paths.h"
diff --git a/Xvnc/lib/font/Type1/t1malloc.c b/Xvnc/lib/font/Type1/t1malloc.c
index be93bdaf1e1d..8805c40f1b79 100644
--- a/Xvnc/lib/font/Type1/t1malloc.c
+++ b/Xvnc/lib/font/Type1/t1malloc.c
@@ -37,6 +37,8 @@ routines (malloc/free).
  
 */
 
+#include <stdio.h>
+#include <stdlib.h>
 #include "objects.h"	/* get #define for abort() */
 
 static combine();
diff --git a/Xvnc/lib/font/Type1/t1stub.c b/Xvnc/lib/font/Type1/t1stub.c
index f2d8af44264c..73970e514d19 100644
--- a/Xvnc/lib/font/Type1/t1stub.c
+++ b/Xvnc/lib/font/Type1/t1stub.c
@@ -28,6 +28,8 @@
  * SOFTWARE.
  */
 
+#include <stdio.h>
+#include <stdlib.h>
 #include "objects.h"	/* get #define for abort() */
  
 xiStub()
diff --git a/Xvnc/programs/Xserver/Xext/xprint.c b/Xvnc/programs/Xserver/Xext/xprint.c
index 5fc535dec101..e11649830307 100644
--- a/Xvnc/programs/Xserver/Xext/xprint.c
+++ b/Xvnc/programs/Xserver/Xext/xprint.c
@@ -66,6 +66,7 @@ copyright holders.
 ********************************************************************/
 /* $XFree86: xc/programs/Xserver/Xext/xprint.c,v 1.4 1997/01/02 04:05:05 dawes Exp $ */
 
+#include <stdlib.h>
 #include "X.h"
 #define NEED_EVENTS
 #include "Xproto.h"
diff --git a/Xvnc/programs/Xserver/cfb/cfbmskbits.h b/Xvnc/programs/Xserver/cfb/cfbmskbits.h
index 92275c83eb8c..e45dc2796adf 100644
--- a/Xvnc/programs/Xserver/cfb/cfbmskbits.h
+++ b/Xvnc/programs/Xserver/cfb/cfbmskbits.h
@@ -31,6 +31,7 @@ THE USE OR PERFORMANCE OF THIS SOFTWARE.
 /* $XFree86: xc/programs/Xserver/cfb/cfbmskbits.h,v 3.3.2.1 1997/05/27 06:28:09 dawes Exp $ */
 /* Optimizations for PSZ == 32 added by Kyle Marvin (marvin@vitec.com) */
 
+#include	<stdlib.h>
 #include	"X.h"
 #include	"Xmd.h"
 #include	"servermd.h"
diff --git a/Xvnc/programs/Xserver/hw/vnc/init.c b/Xvnc/programs/Xserver/hw/vnc/init.c
index c2d82e0ada29..18019d39a708 100644
--- a/Xvnc/programs/Xserver/hw/vnc/init.c
+++ b/Xvnc/programs/Xserver/hw/vnc/init.c
@@ -54,6 +54,7 @@ from the X Consortium.
 /* Use ``#define CORBA'' to enable CORBA control interface */
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <unistd.h>
 #include <stdarg.h>
 #include <sys/types.h>
diff --git a/Xvnc/programs/Xserver/hw/vnc/kbdptr.c b/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
index d991c9161647..95e9391e4dfd 100644
--- a/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
+++ b/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
@@ -24,6 +24,7 @@
  */
 
 #include <stdio.h>
+#include <stdlib.h>
 
 #include "X11/X.h"
 #define NEED_EVENTS
diff --git a/Xvnc/programs/Xserver/hw/vnc/sockets.c b/Xvnc/programs/Xserver/hw/vnc/sockets.c
index 7e4cf87d9aa2..86ba5d04bd9c 100644
--- a/Xvnc/programs/Xserver/hw/vnc/sockets.c
+++ b/Xvnc/programs/Xserver/hw/vnc/sockets.c
@@ -38,6 +38,7 @@
  */
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <sys/types.h>
 #include <sys/time.h>
 #include <sys/socket.h>
diff --git a/Xvnc/programs/Xserver/hw/vnc/translate.c b/Xvnc/programs/Xserver/hw/vnc/translate.c
index 188e4aa240d1..fc442dcfc4c6 100644
--- a/Xvnc/programs/Xserver/hw/vnc/translate.c
+++ b/Xvnc/programs/Xserver/hw/vnc/translate.c
@@ -22,6 +22,7 @@
  */
 
 #include <stdio.h>
+#include <stdlib.h>
 #include "rfb.h"
 
 static void PrintPixelFormat(rfbPixelFormat *pf);
diff --git a/Xvnc/programs/Xserver/os/xdmcp.c b/Xvnc/programs/Xserver/os/xdmcp.c
index 5de14cd3250f..a7de53905086 100644
--- a/Xvnc/programs/Xserver/os/xdmcp.c
+++ b/Xvnc/programs/Xserver/os/xdmcp.c
@@ -50,6 +50,7 @@
 #endif
 #endif
 #include <stdio.h>
+#include <stdlib.h>
 #include "X.h"
 #include "Xmd.h"
 #include "misc.h"
diff --git a/libvncauth/vncauth.c b/libvncauth/vncauth.c
index a92d3223ef60..b8d870ced49a 100644
--- a/libvncauth/vncauth.c
+++ b/libvncauth/vncauth.c
@@ -29,6 +29,7 @@
 #include <unistd.h>
 #include <vncauth.h>
 #include <d3des.h>
+#include <time.h>
 
 
 /*
diff --git a/vncconnect/vncconnect.c b/vncconnect/vncconnect.c
index 101c2adc2fba..82b4d6410ae0 100644
--- a/vncconnect/vncconnect.c
+++ b/vncconnect/vncconnect.c
@@ -3,6 +3,8 @@
  */
 
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 
diff --git a/vncviewer/corre.c b/vncviewer/corre.c
index c846a10de379..b760d41b0a02 100644
--- a/vncviewer/corre.c
+++ b/vncviewer/corre.c
@@ -26,6 +26,8 @@
  * encoded rectangle with BPP bits per pixel.
  */
 
+#include <stdlib.h>
+
 #define HandleCoRREBPP CONCAT2E(HandleCoRRE,BPP)
 #define CARDBPP CONCAT2E(CARD,BPP)
 
diff --git a/vncviewer/misc.c b/vncviewer/misc.c
index be78597f4f8d..36d690d763d3 100644
--- a/vncviewer/misc.c
+++ b/vncviewer/misc.c
@@ -24,6 +24,7 @@
 #include <vncviewer.h>
 #include <signal.h>
 #include <fcntl.h>
+#include <sys/wait.h>
 
 static void CleanupSignalHandler(int sig);
 static int CleanupXErrorHandler(Display *dpy, XErrorEvent *error);
diff --git a/vncviewer/rre.c b/vncviewer/rre.c
index 277dffb71d0e..263b7e21d244 100644
--- a/vncviewer/rre.c
+++ b/vncviewer/rre.c
@@ -26,6 +26,8 @@
  * encoded rectangle with BPP bits per pixel.
  */
 
+#include <stdlib.h>
+
 #define HandleRREBPP CONCAT2E(HandleRRE,BPP)
 #define CARDBPP CONCAT2E(CARD,BPP)
 
-- 
2.37.1

